/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ProductBean.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class ProductBean implements EntityBean
{
    public String ejbCreate(String name)
        throws CreateException
    {
        setName(name);

        return null;
    }
    
    public void ejbPostCreate(String name)
    {
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setInventories(Collection inventories);

    public abstract Collection getInventories();

    public abstract void setManufacturers(Collection manufacturers);

    public abstract Collection getManufacturers();

    public abstract void setCatalogItems(Collection catalogItems);

    public abstract Collection getCatalogItems();

    public abstract void setPurchaseOrderItems(Collection purchaseOrderItems);

    public abstract Collection getPurchaseOrderItems();

    public abstract void setWarehouses(Collection warehouses);

    public abstract Collection getWarehouses();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
